// package_first/pages/beautyDetail/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        dataSource: {},
        imageList: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if(options) {
            const dataSource = JSON.parse(decodeURIComponent(options.data))
            this.setData({dataSource})
            if(dataSource.image.length) {
                const imageList = dataSource.image.split(',')
                this.setData({imageList})
            }
        }
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    }
})